Cosas de Administradores

ACTUALIZANDO A 3.2 y LDAP no funciona.

 
Imagen de Juan Carlos Borrero (JuanCaBo)
ACTUALIZANDO A 3.2 y LDAP no funciona.
 

A igual configuración (exacta) a la utilizada en la versión actual  2.9.2 Build 20150914 en Ubuntu 14.04, no he logrado que conecte con la nueva 3.2 en Ubuntu 16.04 que viene con php7, por lo que no he podido actualizar.

Cómo puedo verificar qué está pasando, únicamente recibo el mensaje que no pudo conectarse?.




 
Promedio de calificaciones: -
Imagen de Iñaki Arenaza
Re: ACTUALIZANDO A 3.2 y LDAP no funciona.
DesarrolladoresDesarrolladores de pluginsDocumentadoresModeradoresMoodlers de gran ayuda

Dos cosas que se me ocurren a bote pronto:

  • comprobar que la extensión LDAP de PHP está instalada
  • probar a usar PHP 5.x (si no recuerdo mal, Ubunu 16.04 incorpora tanto PHP 5.x como PHP 7.x). Es por descartar que sea un problema de incompatibilidad con PHP 7.x (que creo que está menos probado).

Saludos.

Iñaki.

 
Promedio de calificaciones: -
Imagen de Jose Luis Martin Jimenez
Re: ACTUALIZANDO A 3.2 y LDAP no funciona.
Moodlers de gran ayuda

Hola, Juan Carlos.

Yo estoy utilizando Moodle 3.1 con PHP 7.0 sobre Ubuntu 16.04, y mis usuarios se identifican por LDAP (MS Active Directory) sin problemas. Con la versión 3.2 supongo que debe funcionar igual de bien.

¿Has activado las opciones de "debugging" para poder ver los mensajes de error que te devuelve cuando falla la identificación?

Saludos.

 
Promedio de calificaciones: -